ru.bitel.bgbilling.kernel.module.common.bean

## Class BGModule

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.module.common.bean.BGModule

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class BGModule
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BGInstalledModule` | `getBaseModule()` Deprecated.
    `int` | `getConfigId()`
    `int` | `getID()` Deprecated. использовать `Id.getId()`
    `BGInstalledModule` | `getInstalledModule()`
    `java.lang.String` | `getName()`
    `void` | `setBaseModule(BGInstalledModule baseModule)` Deprecated.
    `void` | `setConfigId(int configId)`
    `void` | `setID(int id)` Deprecated. использовать `Id.setId(int)`
    `void` | `setInstalledModule(BGInstalledModule baseModule)`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### BGModule

          public BGModule()

  - ### Method Detail

    - #### getID

          @Deprecated
          public int getID()

      Deprecated. использовать `Id.getId()`
      Returns:

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated. использовать `Id.setId(int)`
      Parameters:
        `id` -

    - #### getConfigId

          public int getConfigId()

    - #### setConfigId

          public void setConfigId(int configId)

    - #### setName

          public void setName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### getInstalledModule

          public BGInstalledModule getInstalledModule()

    - #### setInstalledModule

          public void setInstalledModule(BGInstalledModule baseModule)

    - #### getBaseModule

          @Deprecated
          public BGInstalledModule getBaseModule()

      Deprecated.
      Использовать `getInstalledModule()`.

    - #### setBaseModule

          @Deprecated
          public void setBaseModule(BGInstalledModule baseModule)

      Deprecated.
      Использовать `#setInstalledModule()`.